Bug 1004342 - Firefox fails to build on Fedora 19/x86_64 - g++ does not export symbol with default visibility
Summary: Firefox fails to build on Fedora 19/x86_64 - g++ does not export symbol with ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-04 12:54 UTC by Martin Stransky
Modified: 2015-02-17 17:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:03:39 UTC


Attachments (Terms of Use)
pre processed source file (2.27 MB, text/plain)
2013-09-04 12:54 UTC, Martin Stransky
no flags Details


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 912959 None None None Never

Description Martin Stransky 2013-09-04 12:54:51 UTC
Created attachment 793662 [details]
pre processed source file

Description of problem:

Firefox fails to build on Fedora 19/x86_64, ToNumberSlow symbol is not exported.

g++ -o jsnum.o -c  -fPIC -MD -MP -MF -Wall -Wpointer-arith -Woverloaded-virtual -Werror=return-type -Wtype-limits -Wempty-body -Werror=conversion-null -Wsign-compare -Wno-invalid-offsetof -Wcast-align -gdwarf-2 -fpermissive -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -std=gnu++0x -pthread -pipe  -g -fno-omit-frame-pointer  jsnum.in.cpp

jsnum.in.cpp is attached

__attribute__((visibility("default"))) bool
js::ToNumberSlow(JSContext *cx, Value v, double *out)
{
    return ToNumberSlow(static_cast<ExclusiveContext *>(cx), v, out);
}

is built as hidden:
0000000000000000 g     F .text._ZN2js12ToNumberSlowEP9JSContextN2JS5ValueEPd    000000000000002d .hidden js::ToNumberSlow(JSContext*, JS::Value, double*)

Version-Release number of selected component (if applicable):
gcc-4.8.1-1.fc19.x86_64

Comment 1 Martin Stransky 2013-09-05 12:23:12 UTC
Seems to by caused by first declaration of js::ToNumberSlow(). The function is marked as extern bool only there - see an upstream bug https://bugzilla.mozilla.org/show_bug.cgi?id=912959

Comment 2 Fedora End Of Life 2015-01-09 19:43:22 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-02-17 17:03:39 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.